![]() |
VR-Forces 4.0.4 Class Documentation
|
class DtRailPathControllerPSR: More...

Public Types | |
| enum | DtRailPathState { DtNoMove = 0, DtMoveTurningToRail, DtMoveToRail, DtMoveAlongRail, DtMoveFromRail } |
Public Member Functions | |
| DtRailPathControllerPSR (DtVrfObject *vrfObject, const DtString &rwName=DtString::nullString(), DtReaderWriterRegistry *parentRegistry=0) | |
| constructor | |
| DtRailPathControllerPSR (const DtRailPathControllerPSR &orig, const DtString &rwName=DtString::nullString(), DtReaderWriterRegistry *parentRegistry=0) | |
| copy constructor | |
| virtual | ~DtRailPathControllerPSR () |
| destructor | |
| DtRailPathControllerPSR & | operator= (const DtRailPathControllerPSR &orig) |
| assignment operator | |
| virtual DtVrfProcessStateRepository * | clone (const DtString &rwName=DtString::nullString(), DtReaderWriterRegistry *parentRegistry=0) const |
| returns a newly created copy of this object | |
| virtual DtString | type () const |
| Returns the string type of this process state repository. | |
| virtual void | clear () |
| virtual void | setState (DtRailPathState moving) |
| virtual DtRailPathState | state () const |
| virtual const DtRwTemplatedListPtr < DtRwRailSegment > & | pathList () const |
| virtual DtRwTemplatedListPtr < DtRwRailSegment > & | pathList () |
| virtual void | setPathList (DtRwTemplatedListPtr< DtRwRailSegment > &list) |
| virtual void | addSegmentToPath (const DtRailSegment &seg, bool appendToEnd=true) |
| virtual void | setPathEntryPoint (const DtVector &point) |
| virtual const DtVector & | pathEntryPoint () const |
| virtual void | setDestinationName (const DtString &destinationName) |
| virtual DtString | destinationName () const |
| virtual bool | destinationNameSpecified () const |
| Return if the destination name is specified. (Setting a destination name will specify it) | |
| virtual void | unspecifyDestinationName () |
| Make the destination name unspecified. | |
| virtual void | setDestinationLocation (const DtVector &destinationLocation) |
| virtual DtVector | destinationLocation () const |
| virtual bool | destinationLocationSpecified () const |
| Return if the destination location is specified. (Setting a destination location will specify it) | |
| virtual void | unspecifyDestinationLocation () |
| Make the destination location unspecified. | |
| virtual void | setPathName (const DtString &pathName) |
| virtual DtString | pathName () const |
| virtual bool | pathNameSpecified () const |
| Return if the path name is specified. (Setting a path name will specify it) | |
| virtual void | unspecifyPathName () |
| Make the path name unspecified. | |
Static Public Member Functions | |
| static DtVrfProcessStateRepository * | creator (const DtString &rwName, DtVrfObject *vrfObject, DtReaderWriterRegistry *parentRegistry) |
| Returns a newly created instance of this class. | |
Protected Attributes | |
parameters | |
These parameters are available for setting in the OPD files. | |
| DtRwInt | myRailPathState |
| Parameter Name: current-path-state Parameter Description: Stores what current movement state we are in. | |
| DtRwString | myPathName |
| Parameter Name: debug-path-name Parameter Description: Stores the name of the generated route representing the path. | |
| DtRwString | myDestinationName |
| Parameter Name: destination-name Parameter Description: Stores the name of the destination object if planning a path to a control object. | |
| DtRwVector | myDestinationLocation |
| Parameter Name: destination-location Parameter Description: Stores the geocentric location of the destionation. | |
| DtRwVector | myPathEntryPoint |
| Parameter Name: path-entry-point Parameter Description: Stores the point in geocentric where the entity will enter onto the rail path--This takes into accound centering the entity into the lane. | |
| DtRwTemplatedListPtr < DtRwRailSegment > | myPathList |
| Parameter Name: path Parameter Description: Stores the calculated rail path . | |
class DtRailPathControllerPSR:
This is the Process State Repository for the DtRailPathController component. It stores all necessary pieces of data for that component that must be restored on a scenario load.
| DtRailPathControllerPSR::DtRailPathControllerPSR | ( | DtVrfObject * | vrfObject, |
| const DtString & | rwName = DtString::nullString(), |
||
| DtReaderWriterRegistry * | parentRegistry = 0 |
||
| ) |
constructor
| DtRailPathControllerPSR::DtRailPathControllerPSR | ( | const DtRailPathControllerPSR & | orig, |
| const DtString & | rwName = DtString::nullString(), |
||
| DtReaderWriterRegistry * | parentRegistry = 0 |
||
| ) |
copy constructor
| virtual DtRailPathControllerPSR::~DtRailPathControllerPSR | ( | ) | [virtual] |
destructor
| DtRailPathControllerPSR& DtRailPathControllerPSR::operator= | ( | const DtRailPathControllerPSR & | orig | ) |
assignment operator
| virtual DtVrfProcessStateRepository* DtRailPathControllerPSR::clone | ( | const DtString & | rwName = DtString::nullString(), |
| DtReaderWriterRegistry * | parentRegistry = 0 |
||
| ) | const [virtual] |
returns a newly created copy of this object
Implements DtVrfProcessStateRepository.
| virtual DtString DtRailPathControllerPSR::type | ( | ) | const [virtual] |
Returns the string type of this process state repository.
Implements DtVrfProcessStateRepository.
| virtual void DtRailPathControllerPSR::clear | ( | ) | [virtual] |
| virtual void DtRailPathControllerPSR::setState | ( | DtRailPathState | moving | ) | [virtual] |
Set/Get whether the component is in Moving mode or Planning mode.
| virtual DtRailPathState DtRailPathControllerPSR::state | ( | ) | const [virtual] |
Set/Get whether the component is in Moving mode or Planning mode.
| virtual const DtRwTemplatedListPtr<DtRwRailSegment>& DtRailPathControllerPSR::pathList | ( | ) | const [virtual] |
The generated path the entity will follow once it gets to the route network entry point.
| virtual DtRwTemplatedListPtr<DtRwRailSegment>& DtRailPathControllerPSR::pathList | ( | ) | [virtual] |
The generated path the entity will follow once it gets to the route network entry point.
| virtual void DtRailPathControllerPSR::setPathList | ( | DtRwTemplatedListPtr< DtRwRailSegment > & | list | ) | [virtual] |
The generated path the entity will follow once it gets to the route network entry point.
| virtual void DtRailPathControllerPSR::addSegmentToPath | ( | const DtRailSegment & | seg, |
| bool | appendToEnd = true |
||
| ) | [virtual] |
The generated path the entity will follow once it gets to the route network entry point.
| virtual void DtRailPathControllerPSR::setPathEntryPoint | ( | const DtVector & | point | ) | [virtual] |
Set/Get the location where the entity will enter onto the path. Stored in world (geocentric) coordinates.
| virtual const DtVector& DtRailPathControllerPSR::pathEntryPoint | ( | ) | const [virtual] |
Set/Get the location where the entity will enter onto the path. Stored in world (geocentric) coordinates.
| virtual void DtRailPathControllerPSR::setDestinationName | ( | const DtString & | destinationName | ) | [virtual] |
Set/Get the name of the destination object.
| virtual DtString DtRailPathControllerPSR::destinationName | ( | ) | const [virtual] |
Set/Get the name of the destination object.
| virtual bool DtRailPathControllerPSR::destinationNameSpecified | ( | ) | const [virtual] |
Return if the destination name is specified. (Setting a destination name will specify it)
| virtual void DtRailPathControllerPSR::unspecifyDestinationName | ( | ) | [virtual] |
Make the destination name unspecified.
| virtual void DtRailPathControllerPSR::setDestinationLocation | ( | const DtVector & | destinationLocation | ) | [virtual] |
Set/Get the destination location. Destination is stored in world (geocentric) coordinates.
| virtual DtVector DtRailPathControllerPSR::destinationLocation | ( | ) | const [virtual] |
Set/Get the destination location. Destination is stored in world (geocentric) coordinates.
| virtual bool DtRailPathControllerPSR::destinationLocationSpecified | ( | ) | const [virtual] |
Return if the destination location is specified. (Setting a destination location will specify it)
| virtual void DtRailPathControllerPSR::unspecifyDestinationLocation | ( | ) | [virtual] |
Make the destination location unspecified.
| virtual void DtRailPathControllerPSR::setPathName | ( | const DtString & | pathName | ) | [virtual] |
Set/Get the name of the generated debug path object if we are publishing one.
| virtual DtString DtRailPathControllerPSR::pathName | ( | ) | const [virtual] |
Set/Get the name of the generated debug path object if we are publishing one.
| virtual bool DtRailPathControllerPSR::pathNameSpecified | ( | ) | const [virtual] |
Return if the path name is specified. (Setting a path name will specify it)
| virtual void DtRailPathControllerPSR::unspecifyPathName | ( | ) | [virtual] |
Make the path name unspecified.
| static DtVrfProcessStateRepository* DtRailPathControllerPSR::creator | ( | const DtString & | rwName, |
| DtVrfObject * | vrfObject, | ||
| DtReaderWriterRegistry * | parentRegistry | ||
| ) | [static] |
Returns a newly created instance of this class.
DtRwInt DtRailPathControllerPSR::myRailPathState [protected] |
Parameter Name: current-path-state
Parameter Description: Stores what current movement state we are in.
Parameter Default Value: 0--DtNoMove
DtRwString DtRailPathControllerPSR::myPathName [protected] |
Parameter Name: debug-path-name
Parameter Description: Stores the name of the generated route representing the path.
Only if user has set the show debug route option to true in the descriptor.
DtRwString DtRailPathControllerPSR::myDestinationName [protected] |
Parameter Name: destination-name
Parameter Description: Stores the name of the destination object if planning a path to a control object.
Parameter Name: destination-location
Parameter Description: Stores the geocentric location of the destionation.
DtRwVector DtRailPathControllerPSR::myPathEntryPoint [protected] |
Parameter Name: path-entry-point
Parameter Description: Stores the point in geocentric where the entity will enter onto the rail path--This takes into accound centering the entity into the lane.
Parameter Name: path
Parameter Description: Stores the calculated rail path
.